## org.biojava.bio.structure.gui
Class RasmolCommandListener

    java.lang.Object
      java.awt.event.KeyAdapter
          org.biojava.bio.structure.gui.RasmolCommandListener

All Implemented Interfaces:
  ActionListener, KeyListener, MouseListener, EventListener

    public class RasmolCommandListener

extends KeyAdapter
implements ActionListener, MouseListener

a utility class that listens to Ramsol script commands in the @link `BiojavaJmol` class

Author:
  Andreas Prlic

Constructor Summary
`RasmolCommandListener(org.biojava.bio.structure.gui.BiojavaJmol.JmolPanel panel, JTextField field)`

Method Summary
`void` `actionPerformed(ActionEvent event)`
`void` `keyReleased(KeyEvent e)` takes care of the cursor up/down keys.
`void` `mouseClicked(MouseEvent e)`
`void` `mouseEntered(MouseEvent e)`
`void` `mouseExited(MouseEvent e)`
`void` `mousePressed(MouseEvent e)`
`void` `mouseReleased(MouseEvent e)`

Methods inherited from class java.awt.event.KeyAdapter
`keyPressed, keyTyped`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RasmolCommandListener

    public RasmolCommandListener(org.biojava.bio.structure.gui.BiojavaJmol.JmolPanel panel,
                                 JTextField field)

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent event)

  Specified by:
    `actionPerformed` in interface `ActionListener`

### mouseClicked

    public void mouseClicked(MouseEvent e)

  Specified by:
    `mouseClicked` in interface `MouseListener`

### mouseExited

    public void mouseExited(MouseEvent e)

  Specified by:
    `mouseExited` in interface `MouseListener`

### mouseReleased

    public void mouseReleased(MouseEvent e)

  Specified by:
    `mouseReleased` in interface `MouseListener`

### mousePressed

    public void mousePressed(MouseEvent e)

  Specified by:
    `mousePressed` in interface `MouseListener`

### mouseEntered

    public void mouseEntered(MouseEvent e)

  Specified by:
    `mouseEntered` in interface `MouseListener`

### keyReleased

    public void keyReleased(KeyEvent e)

  takes care of the cursor up/down keys. triggers copying of stored commands into the current textfield

  Specified by:
    `keyReleased` in interface `KeyListener`
  Overrides:
    `keyReleased` in class `KeyAdapter`